Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 566334 - net-analyzer/greenbone-security-assistant 6.0.6 no pidfile
Summary: net-analyzer/greenbone-security-assistant 6.0.6 no pidfile
Status: RESOLVED TEST-REQUEST
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Hasan Calisir
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-20 14:17 UTC by Thomas Stein
Modified: 2019-03-19 19:23 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Stein 2015-11-20 14:17:24 UTC
Hello Devs.

Greenbone Security Assistant 6.0.6 obviousely does not create a pidfile anymore. Therefore the initscript never reaches the "started" state. Status is "crashed". /usr/sbin/gsad --help does not show a pidfile option anymore either. Could we adjust the initfile accordingly?

thanks and cheers

Reproducible: Always
Comment 1 Hans de Graaff gentoo-dev 2016-07-13 11:39:00 UTC
I'm seeing the same problem with version 6.0.9. I'm managing this daemon from puppet and due to the "crashed" status puppet now tries to start the daemon on each run, even though it is running fine.
Comment 2 Hasan Calisir 2019-03-19 19:23:05 UTC
Openvas daemons isn't so well behaved.Also upstream don't provide init or systemd services default.

Upstream fixed this issue with latest 7.0.3 (currently in tree) but not properly.I had to fix it again for gentoo.

Normally pidfile must be generated by daemon when it is started.But their latest stables generates pidfile in build step and install them to /var/run manually. This behaivour breaks FHS/Gentoo policy paths.I changed this with patch.

I completly rewrited the init and systemd services for all openvas daemons ( including greenbone-security-assistant ) and fixed the issue with "command_background=true" option for openrc side.

This command creates pid file for automatically for you rather than the daemon itself being responsible for creating the PID file.

On systemd side it doesn't cause any error.